package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 素材库对象 fs_material
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long materialId;

    /** 类型1、图片；2、视频 */
    @Excel(name = "类型1、图片；2、视频")
    private String type;

    /** 分组ID */
    @Excel(name = "分组ID")
    private Long groupId;

    /** 素材名 */
    @Excel(name = "素材名")
    private String name;

    /** 素材链接 */
    @Excel(name = "素材链接")
    private String url;

    /** $column.columnComment */
    @Excel(name = "素材链接")
    private Integer isDel;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long createUserId;

    public void setMaterialId(Long materialId) 
    {
        this.materialId = materialId;
    }

    public Long getMaterialId() 
    {
        return materialId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setGroupId(Long groupId) 
    {
        this.groupId = groupId;
    }

    public Long getGroupId() 
    {
        return groupId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("materialId", getMaterialId())
            .append("type", getType())
            .append("groupId", getGroupId())
            .append("name", getName())
            .append("url", getUrl())
            .append("isDel", getIsDel())
            .append("createUserId", getCreateUserId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
